summaryrefslogtreecommitdiff
path: root/bin/emacsclient
diff options
context:
space:
mode:
Diffstat (limited to 'bin/emacsclient')
-rwxr-xr-xbin/emacsclient24
1 files changed, 12 insertions, 12 deletions
diff --git a/bin/emacsclient b/bin/emacsclient
index b980860b..d4e9da2f 100755
--- a/bin/emacsclient
+++ b/bin/emacsclient
@@ -197,13 +197,13 @@ if [ -z "$daemon_name" ] && $devel_running && $want_installed; then
# gdb so that `spw/gdbmacs-attach' doesn't look at `gdb-inferior-status'.
if [ -n "${gdbmacs:=$(get_listener ${socket_dir}gdbmacs)}" ]; then \
( exec -a emacsclient "$installed_emacsclient" -sgdbmacs -w2 \
- --eval '(gdb-wait-for-pending
- (lambda ()
- (gud-basic-call "detach")
- (gdb-wait-for-pending
- (lambda ()
- (gud-basic-call "quit")))))' ) \
- || fail "gdbmacs detach request failed"
+ --eval '(gdb-wait-for-pending
+ (lambda ()
+ (gud-basic-call "detach")
+ (gdb-wait-for-pending
+ (lambda ()
+ (gud-basic-call "quit")))))' ) \
+ || fail "gdbmacs detach request failed"
fi
wait_inotifywait \
@@ -243,11 +243,11 @@ if ! $want_installed && ! $installed_running && [ -x "$devel_emacsclient" ] \
# because of a timeout, but currently that can be done only by
# parsing emacsclient's output: see Emacs bug#60592.
gud_status="$(exec -a emacsclient "$installed_emacsclient" \
- -sgdbmacs -w2 --eval \
- '(and (boundp '"'"'gud-comint-buffer)
- (get-buffer-process gud-comint-buffer)
- (string= "signal-received"
- gdb-inferior-status))')"
+ -sgdbmacs -w2 --eval \
+ '(and (boundp '"'"'gud-comint-buffer)
+ (get-buffer-process gud-comint-buffer)
+ (string= "signal-received"
+ gdb-inferior-status))')"
if [ $? -eq 0 -a "$gud_status" = t ]; then
maybe_notify "in-tree Emacs appears to be wedged"
pass_to_gdbmacs "$@"